Bug 957669 - pmchart new chart usability issue
Summary: pmchart new chart usability issue
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: pcp-gui
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nathan Scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-29 08:40 UTC by Marko Myllynen
Modified: 2013-11-11 02:37 UTC (History)
3 users (show)

Fixed In Version: pcp-gui-1.5.9-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-02 22:05:42 UTC


Attachments (Terms of Use)

Description Marko Myllynen 2013-04-29 08:40:08 UTC
Description of problem:
This could be a bug or a feature.

When adding new charts from File->New Chart->Metrics->Available Metrics and selecting a metric or more from domain instance(s) and pressing Apply a new chart is being created ok. However, the Available Metrics view resets at that point forcing the user to renavigate to the domain instances and metrics which he just had opened.

It would probably be better not to reset Available Metrics view when selecting Apply.

Version-Release number of selected component (if applicable):
pcp-3.6.10-2.el6.x86_64

Comment 1 Nathan Scott 2013-07-26 02:33:31 UTC
Fixed upstream by commit 3937c1a0f6cb2e6a61fb2bd37ab26ec902a86b86.

Comment 2 Fedora Update System 2013-07-28 08:36:27 UTC
pcp-gui-1.5.9-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/pcp-gui-1.5.9-1.fc19

Comment 3 Fedora Update System 2013-07-28 08:50:17 UTC
pcp-gui-1.5.9-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pcp-gui-1.5.9-1.fc18

Comment 4 Fedora Update System 2013-07-28 08:51:30 UTC
pcp-gui-1.5.9-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/pcp-gui-1.5.9-1.fc17

Comment 5 Fedora Update System 2013-07-28 08:52:32 UTC
pcp-gui-1.5.9-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/pcp-gui-1.5.9-1.el6

Comment 6 Fedora Update System 2013-07-28 21:10:02 UTC
Package pcp-gui-1.5.9-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing pcp-gui-1.5.9-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-11018/pcp-gui-1.5.9-1.el6
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2013-08-02 22:05:42 UTC
pcp-gui-1.5.9-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2013-08-16 17:09:41 UTC
pcp-gui-1.5.9-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2013-09-15 10:24:45 UTC
pcp-gui-1.5.10-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pcp-gui-1.5.10-1.fc18

Comment 10 Fedora Update System 2013-11-01 05:20:10 UTC
pcp-gui-1.5.11-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pcp-gui-1.5.11-1.fc18

Comment 11 Fedora Update System 2013-11-11 02:37:18 UTC
pcp-gui-1.5.11-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.